View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
17840Bug reportsSurvey participants (Tokens)public2022-08-17 17:16
Reporterrouuuge Assigned Togabrieljenik  
PrioritynoneSeveritypartial_block 
Status closedResolutionreopened 
Product Version5.2.x 
Fixed in Version5.3.x 
Summary17840: Participant attribute with html LS 5.2.9
Description

In the latest version it is no longer possible to have HTML in an attribute of the participants

Steps To Reproduce

Add any html tag into a attribute and save

TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)Version 5.3.30
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMariaDB 10
Server OS (if known)
Webserver software & version (if known)
PHP Version7.2.34

Relationships

child of 16853 resolvedc_schmitz Inconsistent filter behaviour when create token 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

jelo

jelo

2022-01-18 11:04

partner   ~68047

Which version did you use before? In which version did it worked to save html code inside an attribute?

rouuuge

rouuuge

2022-01-18 11:08

reporter   ~68049

We used version 3.22.28 before

gabrieljenik

gabrieljenik

2022-04-21 17:51

manager   ~69178

Hello rouuuge,
I checked this with the latest version and could not reproduce, so this is most likely fixed for good.
Therefore, I am closing this issue. If you still can reproduce the issue using the latest version, please feel free to re-open the issue.
Thank you!

gabrieljenik

rouuuge

rouuuge

2022-08-15 10:16

reporter   ~71437

hi gabrieljenik,
it seems that in the latest version the html tags are stripped from the attribute column

import-html-attributes.csv (4,755 bytes)   
tid;firstname;lastname;email;emailstatus;token;language;validfrom;validuntil;invited;reminded;remindercount;completed;usesleft; attribute_1; attribute_4 <Willkommensseite2>; attribute_5 <FR_Art Analyse Zielgruppe>; attribute_6 <FR_Willkommensseite1>; attribute_7 <FR_Willkommensseite2>; attribute_8 <DE_Betreff_Email>; attribute_10 <FR_Betreff_Email>; attribute_12 <DE_Body_Email>; attribute_14 <FR_Body_Email>; attribute_13 <Anrede>; attribute_9 <Betrieb>; attribute_11 <Durchführung Befragung (T1 oder JSA)>; attribute_15 <Eingeladen im>;;;;;;;
;Jari;Cianci A;test@gmail.com;;;en;;;;;;;98;TEST <b>Bold text</b> test;<p>• Einrichtung; Anwendung; Durchführung und Auswertung der FWS Job-Stress-Analysis in Ihrer Organisation</p>  <p>• Implementation gesundheitsfördernder Massnahmen nach der Durchführung der Analyse in Ihrer Organisation</p>;enquête avec FWS Job-Stress-Analysis;de l’instrument d’enquête <strong>Friendly Work Space Job-Stress-Analysis</strong> (FWS Job-Stress-Analysis) de <strong>Promotion Santé Suisse</strong> dans votre organisation. Vos réponses nous aideront à optimiser l’instrument d’enquête;<p>• Mise en place; utilisation; réalisation et évaluation de l’instrument d’enquête FWS Job-Stress-Analysis dans votre organisation</p>  <p>• Mise en œuvre de mesures de promotion de la santé après avoir réalisé l’analyse dans votre organisation</p>;Friendly Work Space Job-Stress-Analysis;avec l’instrument d’enquête Friendly Work Space Job-Stress-Analysis;<br />Ihre Organisation hat das Befragungsinstrument Friendly Work Space Job-Stress-Analysis (FWS Job-Stress-Analysis) von Gesundheitsförderung Schweiz genutzt.<br /><br />Um zu erfahren; wie dieses Instrument in Ihrer Organisation eingesetzt wurde und um allfälliges Optimierungspotenzial zu entdecken; wurde die Firma w hoch 2 GmbH damit beauftragt; eine Evaluation durchzuführen. Gerne würden wir Ihnen deshalb einige Fragen zu Ihren Erfahrungen mit Friendly Work Space Job-Stress-Analysis (FWS Job-Stress-Analysis) stellen.<br />;<br />Votre organisation a utilisé l’instrument d’enquête Friendly Work Space Job-Stress-Analysis (FWS Job-Stress-Analysis) de Promotion Santé Suisse.<br /> <br />Afin de savoir comment cet instrument a été utilisé dans votre organisation et de découvrir un éventuel potentiel d’optimisation; la société w hoch 2 GmbH a été chargée d’effectuer une évaluation. Nous aimerions donc vous poser quelques questions sur votre expérience avec l’instrument d’enquête Friendly Work Space Job-Stress-Analysis (FWS Job-Stress-Analysis).<br />;Sehr geehrter Herr;Test w hoch 2 A;Test
;Jari;Cianci A;test@gmail.com;;;en;;;;;;;98;Working;<p>• Einrichtung; Anwendung; Durchführung und Auswertung der FWS Job-Stress-Analysis in Ihrer Organisation</p>  <p>• Implementation gesundheitsfördernder Massnahmen nach der Durchführung der Analyse in Ihrer Organisation</p>;enquête avec FWS Job-Stress-Analysis;de l’instrument d’enquête <strong>Friendly Work Space Job-Stress-Analysis</strong> (FWS Job-Stress-Analysis) de <strong>Promotion Santé Suisse</strong> dans votre organisation. Vos réponses nous aideront à optimiser l’instrument d’enquête;<p>• Mise en place; utilisation; réalisation et évaluation de l’instrument d’enquête FWS Job-Stress-Analysis dans votre organisation</p>  <p>• Mise en œuvre de mesures de promotion de la santé après avoir réalisé l’analyse dans votre organisation</p>;Friendly Work Space Job-Stress-Analysis;avec l’instrument d’enquête Friendly Work Space Job-Stress-Analysis;<br />Ihre Organisation hat das Befragungsinstrument Friendly Work Space Job-Stress-Analysis (FWS Job-Stress-Analysis) von Gesundheitsförderung Schweiz genutzt.<br /><br />Um zu erfahren; wie dieses Instrument in Ihrer Organisation eingesetzt wurde und um allfälliges Optimierungspotenzial zu entdecken; wurde die Firma w hoch 2 GmbH damit beauftragt; eine Evaluation durchzuführen. Gerne würden wir Ihnen deshalb einige Fragen zu Ihren Erfahrungen mit Friendly Work Space Job-Stress-Analysis (FWS Job-Stress-Analysis) stellen.<br />;<br />Votre organisation a utilisé l’instrument d’enquête Friendly Work Space Job-Stress-Analysis (FWS Job-Stress-Analysis) de Promotion Santé Suisse.<br /> <br />Afin de savoir comment cet instrument a été utilisé dans votre organisation et de découvrir un éventuel potentiel d’optimisation; la société w hoch 2 GmbH a été chargée d’effectuer une évaluation. Nous aimerions donc vous poser quelques questions sur votre expérience avec l’instrument d’enquête Friendly Work Space Job-Stress-Analysis (FWS Job-Stress-Analysis).<br />;Sehr geehrter Herr;Test w hoch 2 A;Test
import-html-attributes.csv (4,755 bytes)   
rouuuge

rouuuge

2022-08-15 10:17

reporter   ~71438

seems that in the latest version the html tags are stripped from the attribute column

gabrieljenik

gabrieljenik

2022-08-16 16:00

manager   ~71441

@ollehar any reason why we shouldn't allow html on token attributes?

ollehar

ollehar

2022-08-16 16:09

administrator   ~71442

Security, I guess.

gabrieljenik

gabrieljenik

2022-08-16 16:32

manager   ~71444

ok, then the check should be if superadmin can set some html on token attributes.
If not, there's the bug.
if superadmin can, then is expected behaviour.

gabrieljenik

gabrieljenik

2022-08-16 19:52

manager   ~71449

@rouuuge Have you failed setting HTML contents in token attributes even with a superadmin user?
Thanks!

rouuuge

rouuuge

2022-08-17 15:58

reporter   ~71468

no with the superadmin user it works

gabrieljenik

gabrieljenik

2022-08-17 17:10

manager   ~71470

Then this is not a bug, but expected behaviour.
Please check XSS settings:
https://manual.limesurvey.org/Global_settings#Security

If it is OK I will close the ticket

rouuuge

rouuuge

2022-08-17 17:14

reporter   ~71471

OK! Thx for the link!

Issue History

Date Modified Username Field Change
2022-01-18 11:01 rouuuge New Issue
2022-01-18 11:04 jelo Note Added: 68047
2022-01-18 11:04 jelo Bug heat 0 => 2
2022-01-18 11:08 rouuuge Note Added: 68049
2022-01-18 11:08 rouuuge Bug heat 2 => 4
2022-01-19 09:20 DenisChenu Relationship added child of 16853
2022-04-21 17:10 gabrieljenik Assigned To => gabrieljenik
2022-04-21 17:10 gabrieljenik Status new => assigned
2022-04-21 17:51 gabrieljenik Status assigned => closed
2022-04-21 17:51 gabrieljenik Resolution open => fixed
2022-04-21 17:51 gabrieljenik Fixed in Version => 5.3.x
2022-04-21 17:51 gabrieljenik Note Added: 69178
2022-04-21 17:51 gabrieljenik Bug heat 4 => 6
2022-08-15 10:16 rouuuge Note Added: 71437
2022-08-15 10:16 rouuuge File Added: import-html-attributes.csv
2022-08-15 10:17 rouuuge Status closed => feedback
2022-08-15 10:17 rouuuge Resolution fixed => reopened
2022-08-15 10:17 rouuuge Complete LimeSurvey version number (& build) Version 5.2.9+220110 => Version 5.3.30
2022-08-15 10:17 rouuuge Note Added: 71438
2022-08-16 16:00 gabrieljenik Note Added: 71441
2022-08-16 16:09 ollehar Note Added: 71442
2022-08-16 16:09 ollehar Bug heat 6 => 8
2022-08-16 16:32 gabrieljenik Note Added: 71444
2022-08-16 19:52 gabrieljenik Note Added: 71449
2022-08-17 15:58 rouuuge Note Added: 71468
2022-08-17 15:58 rouuuge Status feedback => assigned
2022-08-17 17:10 gabrieljenik Status assigned => feedback
2022-08-17 17:10 gabrieljenik Note Added: 71470
2022-08-17 17:14 rouuuge Note Added: 71471
2022-08-17 17:14 rouuuge Status feedback => assigned
2022-08-17 17:16 gabrieljenik Status assigned => closed